#include "I2c.h"
#include "stm32_GPIO.h"
#include "stm32f10x_gpio.h"

void BMP085_Init (void);
void BMP085_Get_Result (float * Temperature, long * Pressure);
float Altitude (long Pressure);
unsigned short Pa_To_Hg (long Pressure_In_Pascals);

/* Registers Deginition */
#define AC1_Reg	0xAA
#define AC2_Reg 0xAC
#define AC3_Reg 0xAE
#define AC4_Reg 0xB0
#define AC5_Reg 0xB2
#define AC6_Reg	0xB4
#define B1_Reg	0xB6
#define B2_Reg	0xB8
#define MB_Reg	0xBA
#define MC_Reg	0xBC
#define MD_Reg	0xBE
